Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
allocation_info Struct Reference

`#include <objspace.h>`

## Data Fields
int | living
VALUE | flags
VALUE | klass
const char * | path
unsigned long | line
const char * | class_path
VALUE | mid
size_t | generation

## Detailed Description

Definition at line 5 of file objspace.h.

## Field Documentation

const char* allocation_info::class_path

Definition at line 14 of file objspace.h.

Referenced by allocation_class_path(), freeobj_i(), newobj_i(), and object_allocations_reporter_i().

VALUE allocation_info::flags

Definition at line 8 of file objspace.h.

Referenced by dump_object(), newobj_i(), and object_allocations_reporter_i().

size_t allocation_info::generation

Definition at line 16 of file objspace.h.

Referenced by allocation_generation(), dump_object(), and newobj_i().

VALUE allocation_info::klass

Definition at line 9 of file objspace.h.

Referenced by newobj_i(), and object_allocations_reporter_i().

unsigned long allocation_info::line

Definition at line 13 of file objspace.h.

Referenced by allocation_sourceline(), dump_object(), newobj_i(), and object_allocations_reporter_i().

int allocation_info::living

Definition at line 7 of file objspace.h.

Referenced by freeobj_i(), newobj_i(), and object_allocations_reporter_i().

VALUE allocation_info::mid

Definition at line 15 of file objspace.h.

Referenced by allocation_method_id(), dump_object(), newobj_i(), and object_allocations_reporter_i().

const char* allocation_info::path

Definition at line 12 of file objspace.h.

Referenced by allocation_sourcefile(), dump_object(), freeobj_i(), newobj_i(), and object_allocations_reporter_i().

The documentation for this struct was generated from the following file:

- ext/objspace/objspace.h